aboutsummaryrefslogtreecommitdiffstats
path: root/packages/initscripts/initscripts-1.0
diff options
context:
space:
mode:
authorPhilipp Zabel <philipp.zabel@gmail.com>2007-01-12 09:51:53 +0000
committerPhilipp Zabel <philipp.zabel@gmail.com>2007-01-12 09:51:53 +0000
commitad6297e2bdb9bf190b8d89f755ea265b21d589cb (patch)
treeec3110b9054e22058e0ce7a6be1f4af41723b638 /packages/initscripts/initscripts-1.0
parentf9759b2de5d48cc6941c7b39a9b93f51e8dc440f (diff)
downloadopenembedded-ad6297e2bdb9bf190b8d89f755ea265b21d589cb.tar.gz
initscripts: fix populate-volatile.sh file and directory creation
- now chmod gets called do set the correct permissions
Diffstat (limited to 'packages/initscripts/initscripts-1.0')
-rwxr-xr-xpackages/initscripts/initscripts-1.0/populate-volatile.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/packages/initscripts/initscripts-1.0/populate-volatile.sh b/packages/initscripts/initscripts-1.0/populate-volatile.sh
index a60cc0d420..c5692fea7f 100755
--- a/packages/initscripts/initscripts-1.0/populate-volatile.sh
+++ b/packages/initscripts/initscripts-1.0/populate-volatile.sh
@@ -11,7 +11,7 @@ COREDEF="00_core"
create_file() {
EXEC="
touch \"$1\";
- chown ${TUSER}.${TGROUP} $1 || echo \"Failed to set owner -${TUSER}- for -$1-.\" >/dev/tty0 2>&1
+ chown ${TUSER}.${TGROUP} $1 || echo \"Failed to set owner -${TUSER}- for -$1-.\" >/dev/tty0 2>&1;
chmod ${TMODE} $1 || echo \"Failed to set mode -${TMODE}- for -$1-.\" >/dev/tty0 2>&1 "
test "$VOLATILE_ENABLE_CACHE" = yes && echo "$EXEC" >> /etc/volatile.cache
@@ -26,7 +26,7 @@ create_file() {
mk_dir() {
EXEC="
mkdir -p \"$1\";
- chown ${TUSER}.${TGROUP} $1 || echo \"Failed to set owner -${TUSER}- for -$1-.\" >/dev/tty0 2>&1
+ chown ${TUSER}.${TGROUP} $1 || echo \"Failed to set owner -${TUSER}- for -$1-.\" >/dev/tty0 2>&1;
chmod ${TMODE} $1 || echo \"Failed to set mode -${TMODE}- for -$1-.\" >/dev/tty0 2>&1 "
test "$VOLATILE_ENABLE_CACHE" = yes && echo "$EXEC" >> /etc/volatile.cache